@layer didactic-calendar;

@layer didactic-calendar {
  .didactic-calendar {
    display: grid;
    gap: 1.5rem;
    min-width: 0;
  }

    .didactic-calendar > header {
      align-items: end;
      display: flex;
      flex-wrap: wrap;
      gap: 1rem 2rem;
      justify-content: space-between;
    }

      .didactic-calendar > header > h1 {
        margin: 0;
      }

  .didactic-calendar-year-filter {
    display: grid;
    gap: 0.3rem;
  }

    .didactic-calendar-year-filter > label {
      font-weight: 700;
    }

    .didactic-calendar-year-filter > select {
      font-size: 1.2em;
      font-family: var(--font-tag);
      padding: .2em 1em .2em .2em;
      border-radius: .4em;
      border: 1px solid var(--page-border);
    }

  .didactic-calendar-pdf > iframe {
    block-size: min(82dvh, 66rem);
    max-block-size: none;
  }

  @media (width <= 50rem) {
    .didactic-calendar > header {
      align-items: stretch;
      display: grid;
    }

    .didactic-calendar-year-filter > select {
      inline-size: 100%;
    }

    .didactic-calendar-pdf > iframe {
      block-size: 78dvh;
    }
  }
}
